/**
 * Sets which node is used as the output of a parent subnet node.
 *
 * @remarks
 * Can only be created inside a subnet SOP.
 *
 */
import { TypedSopNode } from './_Base';
import { CoreGroup } from '../../../core/geometry/Group';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
import { NetworkChildNodeType } from '../../poly/NodeContext';
declare class SubnetOutputSopParamsConfig extends NodeParamsConfig {
}
export declare class SubnetOutputSopNode extends TypedSopNode<SubnetOutputSopParamsConfig> {
    params_config: SubnetOutputSopParamsConfig;
    static type(): Readonly<NetworkChildNodeType.OUTPUT>;
    initializeNode(): void;
    cook(input_contents: CoreGroup[]): void;
}
export {};
